Examplary
  • Start for free

    Create a source material slice

    POSThttps://api.examplary.ai/source-materials/{id}/slice

    Create a new source material based on a specific page range of an existing source material.

    Path parameters

    idstringrequired

    Request body

    startPagenumber· >= 1required

    Starting page number (1-based)

    endPagenumber· >= 1required

    Ending page number, inclusive (1-based)

    namestring

    Optional name for the new source material

    tagsarray string[]· max items: 20

    Optional tags for the source material

    Responses

    201

    orgstringrequired
    idstringrequired
    typestring
    createdBystringrequired
    createdAtstring· date-time· pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
    updatedAtstring· date-time· pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
    deletedAtstring· date-time· pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
    namestring
    originalSourceobjectrequired
    externalIdstring
    parentSourceMaterialIdstring
    summarystring
    factsCountnumber
    processingStatusstring

    Allowed values:pendingconvertingsummarizingextracting_topicsextracting_factscompletedfailed

    numberOfPagesnumber
    tagsarray string[]
    chapterMarkersarray object[]
    convertedSourceV2object
    geminiSourceobject
    topicsany
    cacheNamestring

    Requirements

    Rate limit

    5 requests per minute per user.

    User roles

    This endpoint requires the teacher, admin, or owner role to be present.

    OAuth scopes

    This endpoint requires the source-materials:write scope to be present.